html {
    background: #100a1c;
    background-image: radial-gradient(50% 30% ellipse at center top, #201e40 0%, rgba(0, 0, 0, 0) 100%), radial-gradient(60% 50% ellipse at center bottom, #261226 0%, #100a1c 100%);
    background-attachment: fixed;
    color: #6cacc5;
}

body {
    color: #A0D496;
    font: 300 18px/1.6 "Source Sans Pro", sans-serif;
    font-family: Digital, sans-serif;
    margin: 0;
    padding: 5em 0 2em;
    text-align: center;
    user-select: none;
}

h1 {
    font-weight: 300;
    font-size: 80px;
    margin: 0;
}

.calculator {
    font-size: 28px;
    margin: 0 auto;
    width: 15em;
}

.calculator::before, .calculator::after {
    content: " ";
    display: table;
}

.calculator::after {
    clear: both;
}

/* Calculator after dividing by zero */
.broken {
    -webkit-animation: broken 2s;
    animation: broken 2s;
    -webkit-transform: translate3d(0, -2000px, 0);
    transform: translate3d(0, -2000px, 0);
    opacity: 0;
}

.viewer {
    color: #F16362;
    float: right;
    text-align: right;
    overflow: hidden;
    width: 11em;
    height: 3em;
    padding-right: 8px;
}

button {
    border: 0;
    background: rgba(42, 50, 113, 0.28);
    color: #A0D496;
    cursor: pointer;
    font: inherit;
    margin: 0.25em;
    width: 3em;
    height: 3em;
    text-overflow: ellipsis;
    transition: all 0.5s;
}

button:hover {
    background: #201e40;
}

button:focus {
    outline: 0;
    /* The value fade-ins that appear */
}

button:active {
    background: #2a284d;
    color: #F16362;
}

button:focus::after {
    -webkit-animation: zoom 1s;
    animation: zoom 1s;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    content: attr(data-num);
    cursor: default;
    font-size: 100px;
    position: absolute;
    top: 1.5em;
    left: 50%;
    text-align: center;
    margin-left: -24px;
    opacity: 0;
    width: 48px;
}

/* Same as above, modified for operators */
.ops:focus::after {
    content: attr(data-ops);
    margin-left: -210px;
    width: 420px;
}

/* Same as above, modified for result */
.equals:focus::after {
    content: attr(data-result);
    margin-left: -300px;
    width: 600px;
}

/* Reset button */
.reset {
    background: rgba(201, 120, 116, 0.28);
    color: #c97874;
    font-weight: 400;
    margin-left: -77px;
    padding: 0.5em 1em;
    position: absolute;
    top: -20em;
    left: 50%;
    width: auto;
    height: auto;
    /* When button is revealed */
}

.reset:hover {
    background: #c97874;
    color: #100a1c;
}

.reset.show {
    top: 20em;
    -webkit-animation: fadein 4s;
    animation: fadein 4s;
}

select {
    padding: 5px;
    border-radius: 4px;
    color: #c97874;
    background-color: #100a1c;
}

select option {
    background: none;
}

select:focus {
    outline: none;
}

@font-face {
    font-family: Digital;
    src: url('font.ttf')
}

#viewer {
    margin: 0;
    font-size: 2em;
    line-height: 2.1em;
    overflow: hidden;
    text-overflow: ellipsis;
}

#equation {
    height: 2em;
    font-size: 2em;
    color: white;
}

.selector {
    position: absolute;
    bottom: 50px;
    left: 50px;
    margin-top: 50px;
}
